Serializes the document as an XML file

- « Dom\HTMLDocument::saveXml

- Dom\HTMLElement »

- PHP Manual
- Dom\HTMLDocument
- Serializes the document as an XML file

# Dom\HTMLDocument::saveXmlFile

(PHP 8 >= 8.4.0)

Dom\HTMLDocument::saveXmlFile — Serializes the document as an XML file

### Description

public Dom\HTMLDocument::saveXmlFile(string `$filename`, int `$options` = 0): int|false

Serializes the document as an XML file.

### Parameters

`filename`
  The path to the file to save to.
`options`
  Additional Options. The `LIBXML_NOEMPTYTAG` and `LIBXML_NOXMLDECL` options are supported. Prior to PHP 8.3.0, only the `LIBXML_NOEMPTYTAG` option is supported.

### Return Values

The number of bytes written on success, or `false` on failure.

### Errors/Exceptions

- Throws a ValueError if `filename` is an empty string or contains any null bytes.

### See Also

- Dom\HTMLDocument::saveXml() - Serializes the document as an XML string
- Dom\HTMLDocument::saveHtmlFile() - Serializes the document as an HTML file